#################################s#o#q######################################
## by Arthur Chan @ soqhome.com
#############################################################################

from Products.CMFDefault import Portal
from Products.Archetypes.public import *
import Products.CMFCore
from Products.CMFCore import utils, CMFCorePermissions
from Products.CMFCore.DirectoryView import registerDirectory
from config import *

import SoQClubTool
import os, os.path


tools = (SoQClubTool.SoQClubTool,)

registerDirectory(SKINS_DIR, globals())

registerDirectory(SKINS_CONTENT_DIR, globals())


def initialize(context):
    ##Import Types here to register them
    import SoQChannel, SoQActivity, SoQPoster, SoQVideo, SoQAudio, SoQRemoteChannel


    utils.ToolInit(PROJECTNAME + " Tool", tools=tools,
                   product_name=PROJECTNAME,
                   icon='tool.gif',
                   ).initialize(context)
                   
    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)

    
    #constructors = constructors + (SoQRemoteChannel.manage_addSoQRemoteChannel,)

    utils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = ADD_CONTENT_PERMISSION,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)

   